package com.sptg.estate.api.vo;

import lombok.Data;

@Data
public class HealthCodeVO {
	private String color;
	private String code;

	public static final class HealthCodeVOBuilder {
		private String color;
		private String code;

		public HealthCodeVOBuilder() {
		}

		public static HealthCodeVOBuilder aHealthCodeVO() {
			return new HealthCodeVOBuilder();
		}

		public HealthCodeVOBuilder withColor(String color) {
			this.color = color;
			return this;
		}

		public HealthCodeVOBuilder withCode(String code) {
			this.code = code;
			return this;
		}

		public HealthCodeVO build() {
			HealthCodeVO healthCodeVO = new HealthCodeVO();
			healthCodeVO.setColor(color);
			healthCodeVO.setCode(code);
			return healthCodeVO;
		}
	}
}
